## org.eclipse.ocl.helper
Enum ChoiceKind

    java.lang.Object
      java.lang.Enum<ChoiceKind>
          org.eclipse.ocl.helper.ChoiceKind

All Implemented Interfaces:
  Serializable, Comparable<ChoiceKind>

    public enum ChoiceKind

extends Enum<ChoiceKind>

An enumeration of OCL syntax completion choice types.

See Also:
  `Choice`, `OCLHelper.getSyntaxHelp(ConstraintKind, String)`

Enum Constant Summary
`ASSOCIATION_CLASS` Indicates an association-class navigation choice.
`ENUMERATION_LITERAL` Indicates an enumeration literal completion choice.
`OPERATION` Indicates an operation completion choice.
`PACKAGE` Indicates a package choice (which helps to complete type choices).
`PROPERTY` Indicates a property completion choice.
`SIGNAL` Indicates a signal completion choice.
`STATE` Indicates a state name completion choice.
`TYPE` Indicates a type name completion choice.
`VARIABLE` Indicates a variable name completion choice.

Method Summary
`static ChoiceKind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ChoiceKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PROPERTY

    public static final ChoiceKind PROPERTY

  Indicates a property completion choice.

### OPERATION

    public static final ChoiceKind OPERATION

  Indicates an operation completion choice.

### SIGNAL

    public static final ChoiceKind SIGNAL

  Indicates a signal completion choice.

### ENUMERATION_LITERAL

    public static final ChoiceKind ENUMERATION_LITERAL

  Indicates an enumeration literal completion choice.

### STATE

    public static final ChoiceKind STATE

  Indicates a state name completion choice.

### TYPE

    public static final ChoiceKind TYPE

  Indicates a type name completion choice.

### ASSOCIATION_CLASS

    public static final ChoiceKind ASSOCIATION_CLASS

  Indicates an association-class navigation choice.

### PACKAGE

    public static final ChoiceKind PACKAGE

  Indicates a package choice (which helps to complete type choices).

### VARIABLE

    public static final ChoiceKind VARIABLE

  Indicates a variable name completion choice.

Method Detail

### values

    public static final ChoiceKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ChoiceKind c : ChoiceKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ChoiceKind valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.